<?php
//определение переменных
$dbname='stalker';
$dbhost='localhost';
$dbuser='root';
$dbpass='';
//соединение с сервером
#mb_internal_encoding('UTF-8');
$db=mysql_connect($dbhost,$dbuser,$dbpass);

if(!$db)
{
exit("<p>В настоящий момент сервер SQL недоступен</p><br />");
}//else echo "Установлено соединение с сервером MySQL<br />";
//выбор базы данных
if(! mysql_select_db($dbname,$db))
{
exit("<p>Соединение c базой не установлено</p><br />");
}//else echo "Установлено соединение с базой данных<br />";
mysql_query(" SET NAMES 'utf8'");
mysql_query('set charset utf8',$db); 
mysql_query('SET names utf8',$db); 
mysql_query('set character_set_client="utf8"',$db); 
mysql_query('set character_set_connection="utf8"',$db); 
mysql_query('set character_set_result="utf8"',$db);
//set_charset('utf8');
/*
echo "Выбираем столбец БД<br />";
$mess=mysql_query("SELECT * FROM cusers where ci=4");//Извлекаем таблицу `cusers`
//$users=mysql_query("EXPLAIN SELECT * FROM `cusers`");
$catalog=mysql_fetch_array($mess);
/*
while($catalog=mysql_fetch_array($mess))
{
echo $catalog['link']."<br />";
}

*/
//echo mysql_error();
//echo $catalog['pass']."<br />";

define ("H", $_SERVER["DOCUMENT_ROOT"]);//стартовая для инклюда
define ("M","http://".$_SERVER["SERVER_NAME"]);// для ссылок, главная сайта
define ("SYS", H.'/#sys');// системные данные
define ("PG", H.'/#page');// страницы для инклюда
define ("ST", H.'/style');// стили оформления
// начальные5 переменные
$s_time=time();//Текущее время
include_once SYS."/m_autoprotect.php";
###########################################
function compress_output_gzip($output){return gzencode($output,9);}
###########################################
function compress_output_deflate($output){return gzdeflate($output, 9);}
###########################################
include_once SYS."/sess.php";
include_once SYS."/func.php";
##########################################################################
// сжатие по умолчанию
$Content_Encoding['deflate']=false;
$Content_Encoding['gzip']=false;
// включение сжатия, если поддерживается браузером
if (isset($_SERVER['HTTP_ACCEPT_ENCODING']) && eregi('deflate',$_SERVER['HTTP_ACCEPT_ENCODING']))
{$Content_Encoding['deflate']=true;}
if (isset($_SERVER['HTTP_ACCEPT_ENCODING']) && eregi('gzip',$_SERVER['HTTP_ACCEPT_ENCODING']))
$Content_Encoding['gzip']=true;
// Непосредственное включение сжатия
if ($Content_Encoding['deflate'])
{
header("Content-Encoding: deflate");
ob_start("compress_output_deflate");
}
elseif($Content_Encoding['gzip'])
{
header("Content-Encoding: gzip");
ob_start("compress_output_gzip");
}
else
ob_start(); // если нет сжатия, то просто буферизация данных

$compress=true;
##########################################################################
$headers_page=false;
$set_ob_start=true;// буферизация /сжатие 
$user=false;
?>
